<script>
import useUserStore from '@/jtools/store/user'
import useQuestionStore from '@/jtools/store/question' //引入store
import storage from './jtools/storage'
export default {
  onLaunch: function (options) {
    // 如果是二维码扫描过来的，需要保存公司id
    if (options.query?.scene) {
      storage.set('companyId', options.query?.scene)
    }
    useUserStore().queryVipList()
    if (useUserStore().isLogin) {
      useUserStore().getUserInfo()
      useUserStore().searchUserVip()
    }
  },
  onShow: function () {
    useQuestionStore().getAllQuestion()
    console.log('App Show')
  },
  onHide: function () {
    console.log('App Hide')
  },
}
</script>

<style lang="scss">
/*每个页面公共css */
@import "uni_modules/uview-plus/index.scss";
@import "static/style/index.scss";

button::after {
  border: none;
}
</style>
